docs

# FileCredentials

data class FileCredentials (val hash: SourceBytes, val secret: SourceBytes) : EndDataCredentials
Content copied to clipboard

## Constructors

FileCredentials
Link copied to clipboard
fun FileCredentials (hash: SourceBytes, secret: SourceBytes)
Content copied to clipboard

## Properties

hash
Link copied to clipboard
open override val hash : SourceBytes
Content copied to clipboard
secret
Link copied to clipboard
open override val secret : SourceBytes
Content copied to clipboard

## Extensions

decryptFile
Link copied to clipboard
fun FileCredentials . decryptFile (fileBytes: ByteArray ): SourceBytes
Content copied to clipboard
suspend fun FileCredentials . decryptFile (bot: TelegramBot, passportFile: PassportFile): SourceBytes
Content copied to clipboard